Skip to main content
GET
/
api
/
users
/
me
/
ai-usage
Get AI usage history and workspace breakdown.
curl --request GET \
  --url https://api.rigbox.dev/api/users/me/ai-usage \
  --header 'Authorization: Bearer <token>'
{
  "by_workspace": [
    {
      "credits": 123,
      "input_tokens": 123,
      "output_tokens": 123,
      "requests": 123,
      "workspace_id": "<string>",
      "workspace_name": "<string>"
    }
  ],
  "daily": [
    {
      "credits": 123,
      "day": "<string>",
      "input_tokens": 123,
      "output_tokens": 123,
      "requests": 123
    }
  ],
  "window_days": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

AI usage history

by_workspace
object[]
required
daily
object[]
required
window_days
integer<int32>
required